const {noHardcodingRuleExcludes,usegetI18NValueAppropriatelyExcludes} = require('./RulesConfiguration/i18nRules/noHardcodingRuleExcludes')
const {commonRules} = require('../../common/CommonRules')
const [off, , error] = ['off', 'warn', 'error'];

module.exports = {
    env: {
      browser: true,
      es2021: true
    },
    extends: [
      
    ],
    parserOptions: {
      ecmaFeatures: {
        jsx: true
      },
      ecmaVersion: 12,
      sourceType: 'module'
    },
    plugins: [
      '@zohodesk/no-hardcoding'
    ],
    rules: {
      // Internal Rules
      ...commonRules,
      '@zohodesk/no-hardcoding/no-hardcoding':[error,{...noHardcodingRuleExcludes}],
      '@zohodesk/no-hardcoding/use-getI18NValue-method-appropriately': [error,{...usegetI18NValueAppropriatelyExcludes}]
    }
};